Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356454 - DHT: slow readdirp performance
Summary: DHT: slow readdirp performance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Raghavendra G
QA Contact: Sachin P Mali
URL:
Whiteboard: dht-readdirp-perf, rebase
Depends On: 1356453 1424995 1457339 1457340 1457341
Blocks: 1264911 1283990 1503134
TreeView+ depends on / blocked
 
Reported: 2016-07-14 07:33 UTC by Sakshi
Modified: 2018-09-17 07:58 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1356453
Environment:
Last Closed: 2018-09-04 06:29:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:31:22 UTC

Description Sakshi 2016-07-14 07:33:32 UTC
+++ This bug was initially created as a clone of Bug #1356453 +++

Description of problem:
Under utilization of buffer provided by kernel during a readdirp request. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Raghavendra G 2017-08-23 04:27:38 UTC
A patch [1] has been merged upstream. So, this bug can be proposed for rhgs-3.4.0

[1] https://review.gluster.org/12271

Comment 4 Raghavendra G 2017-09-04 10:31:54 UTC
The test case is basically checking whether getdents on 3.4.0 returns more number of dentries compared to the baseline version - say rhgs-3.3.0. We can also compare with getdents on local fs.

Comment 10 errata-xmlrpc 2018-09-04 06:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.